### Method

# RB PlayOrder playing_source_changed

#### Declaration [src]

    void
    rb_play_order_playing_source_changed (
      RBPlayOrder* porder,
      RBSource* source
    )

#### Description [src]

Sets the playing `RBSource` for the play order. Should be called by `RBShellPlayer` when the active source changes. Subclasses should implement `playing_source_changed()` to make any necessary changes.

#### Parameters

`source`

  Type: `RBSource`

  New playing `RBSource`.

  The data is owned by the caller of the method.